package com.cnblogs.yjmyzz.service;

import java.util.List;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.mybatis.spring.SqlSessionFactoryBean;
import org.mybatis.spring.SqlSessionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cnblogs.yjmyzz.entity.BasCarrierEntity;
import com.cnblogs.yjmyzz.mybatis.mapper.CarrierMapper;
import com.github.miemiedev.mybatis.paginator.domain.PageBounds;

@Service("basCarrierService")
public class BasCarrierService {

	@Autowired
	private CarrierMapper carrierMapper;

	@Autowired
	private SqlSessionFactoryBean sqlSessionFactory;

	public BasCarrierEntity getCarrierById(int carrierRecId) {
		return carrierMapper.getCarrierById(carrierRecId);
	}

	public void doInsertCarrier(BasCarrierEntity entity) {
		carrierMapper.insertCarrier(entity);
	}

	public void addCarrier(BasCarrierEntity entity) {
		carrierMapper.insertCarrier(entity);
	}

	public void doDeleteCarrier(BasCarrierEntity entity) {
		carrierMapper.deleteCarrier(entity);
	}

	public void doInsertCarriers() {
		BasCarrierEntity entity1 = new BasCarrierEntity();
		entity1.setCarrier("XX");
		entity1.setCyear(2015);
		carrierMapper.insertCarrier(entity1);

		BasCarrierEntity entity2 = new BasCarrierEntity();
		entity2.setCarrier("XX");
		entity2.setCyear(2015);
		carrierMapper.insertCarrier(entity2);
	}

	public List<BasCarrierEntity> getCarriersByYear(int cyear) throws Exception {
		SqlSession session = null;
		try {
			SqlSessionFactory sessionFactory = sqlSessionFactory.getObject();
			session = SqlSessionUtils.getSqlSession(sessionFactory);
			int page = 1;
			int pageSize = 5;
			PageBounds pageBounds = new PageBounds(page, pageSize);
			return session.selectList(CarrierMapper.class.getName()
					+ ".getCarriersByYear", cyear, pageBounds);
		} finally {
			session.close();
		}

	}
}
